aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKoen Kooi <koen@openembedded.org>2006-09-13 09:23:14 +0000
committerKoen Kooi <koen@openembedded.org>2006-09-13 09:23:14 +0000
commitd9c71b977c6f12d1e9c0eb4f88e072efafba7657 (patch)
tree852fa37d34a7d139713246303793c2f00c7109e2
parent4283f844bd2a786f9053852d374f3a404bea6b47 (diff)
downloadopenembedded-d9c71b977c6f12d1e9c0eb4f88e072efafba7657.tar.gz
openembedded-d9c71b977c6f12d1e9c0eb4f88e072efafba7657.tar.bz2
openembedded-d9c71b977c6f12d1e9c0eb4f88e072efafba7657.zip
dbus: drop 0.6x
* people wanting the use the old-API dbus can use 0.23.x * people wanting to use the new-API dbus should use 0.9x * new-API glib bindings are provided via dbus-glib
-rw-r--r--packages/dbus/dbus-0.6x/.mtn2git_empty0
-rw-r--r--packages/dbus/dbus-0.6x/dbus-1.init86
-rw-r--r--packages/dbus/dbus-0.6x/fix-segfault.patch11
-rw-r--r--packages/dbus/dbus-0.6x/no-bindings.patch12
-rw-r--r--packages/dbus/dbus-0.6x/no-introspect.patch14
-rw-r--r--packages/dbus/dbus-native_0.60.bb19
-rw-r--r--packages/dbus/dbus-native_0.61.bb19
-rw-r--r--packages/dbus/dbus-native_0.62.bb17
-rw-r--r--packages/dbus/dbus_0.60.bb14
-rw-r--r--packages/dbus/dbus_0.60.inc64
-rw-r--r--packages/dbus/dbus_0.61.bb14
-rw-r--r--packages/dbus/dbus_0.61.inc64
-rw-r--r--packages/dbus/dbus_0.62.bb14
-rw-r--r--packages/dbus/dbus_0.62.inc68
14 files changed, 0 insertions, 416 deletions
diff --git a/packages/dbus/dbus-0.6x/.mtn2git_empty b/packages/dbus/dbus-0.6x/.mtn2git_empty
deleted file mode 100644
index e69de29bb2..0000000000
--- a/packages/dbus/dbus-0.6x/.mtn2git_empty
+++ /dev/null
diff --git a/packages/dbus/dbus-0.6x/dbus-1.init b/packages/dbus/dbus-0.6x/dbus-1.init
deleted file mode 100644
index 60440b7223..0000000000
--- a/packages/dbus/dbus-0.6x/dbus-1.init
+++ /dev/null
@@ -1,86 +0,0 @@
-#! /bin/sh
-# -*- coding: utf-8 -*-
-# Debian init.d script for D-BUS
-# Copyright © 2003 Colin Walters <walters@debian.org>
-
-set -e
-
-DAEMON=/usr/bin/dbus-daemon
-NAME=dbus-1
-DAEMONUSER=messagebus
-PIDDIR=/var/run/dbus
-PIDFILE=$PIDDIR/pid
-DESC="system message bus"
-EVENTDIR=/etc/dbus-1/event.d
-
-test -x $DAEMON || exit 0
-
-# Source defaults file; edit that file to configure this script.
-ENABLED=1
-PARAMS=""
-if [ -e /etc/default/dbus-1 ]; then
- . /etc/default/dbus-1
-fi
-
-test "$ENABLED" != "0" || exit 0
-
-start_it_up()
-{
- if [ ! -d $PIDDIR ]; then
- mkdir -p $PIDDIR
- chown $DAEMONUSER $PIDDIR
- chgrp $DAEMONUSER $PIDDIR
- fi
- if [ -e $PIDFILE ]; then
- PIDDIR=/proc/$(cat $PIDFILE)
- if [ -d ${PIDDIR} -a "$(readlink -f ${PIDDIR}/exe)" = "${DAEMON}" ]; then
- echo "$DESC already started; not starting."
- else
- echo "Removing stale PID file $PIDFILE."
- rm -f $PIDFILE
- fi
- fi
- echo -n "Starting $DESC: "
- start-stop-daemon --start --quiet --pidfile $PIDFILE \
- --user $DAEMONUSER --exec $DAEMON -- --system $PARAMS
- echo "$NAME."
- if [ -d $EVENTDIR ]; then
- run-parts --arg=start $EVENTDIR
- fi
-}
-
-shut_it_down()
-{
- if [ -d $EVENTDIR ]; then
- run-parts --reverse --arg=stop $EVENTDIR
- fi
- echo -n "Stopping $DESC: "
- start-stop-daemon --stop --quiet --pidfile $PIDFILE \
- --user $DAEMONUSER
- # We no longer include these arguments so that start-stop-daemon
- # can do its job even given that we may have been upgraded.
- # We rely on the pidfile being sanely managed
- # --exec $DAEMON -- --system $PARAMS
- echo "$NAME."
- rm -f $PIDFILE
-}
-
-case "$1" in
- start)
- start_it_up
- ;;
- stop)
- shut_it_down
- ;;
- restart|force-reload)
- shut_it_down
- sleep 1
- start_it_up
- ;;
- *)
- echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
- exit 1
- ;;
-esac
-
-exit 0
diff --git a/packages/dbus/dbus-0.6x/fix-segfault.patch b/packages/dbus/dbus-0.6x/fix-segfault.patch
deleted file mode 100644
index de5bcff774..0000000000
--- a/packages/dbus/dbus-0.6x/fix-segfault.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- /tmp/dbus-marshal-recursive.c 2006-07-28 14:58:08.000000000 +0200
-+++ dbus-0.90/dbus/dbus-marshal-recursive.c 2006-07-28 14:58:18.724411000 +0200
-@@ -1294,7 +1294,7 @@
- _dbus_string_get_length (&block->replacement) - block->padding,
- &fixups))
- goto oom;
--
-+printf("%s(%d)""got here", __FILE__, __LINE__);
- #if RECURSIVE_MARSHAL_WRITE_TRACE
- _dbus_verbose ("REPLACEMENT at padding %d len %d\n", block->padding,
- _dbus_string_get_length (&block->replacement) - block->padding);
diff --git a/packages/dbus/dbus-0.6x/no-bindings.patch b/packages/dbus/dbus-0.6x/no-bindings.patch
deleted file mode 100644
index ccfc3f88b2..0000000000
--- a/packages/dbus/dbus-0.6x/no-bindings.patch
+++ /dev/null
@@ -1,12 +0,0 @@
---- dbus-0.50/tools/Makefile.am.orig 2005-09-07 10:05:38 +0200
-+++ dbus-0.50/tools/Makefile.am 2005-09-07 10:06:30 +0200
-@@ -6,9 +6,6 @@
- nodist_libdbus_glib_HEADERS = dbus-glib-bindings.h
- libdbus_glibdir = $(includedir)/dbus-1.0/dbus
-
--dbus-glib-bindings.h: dbus-bus-introspect.xml $(top_builddir)/glib/dbus-binding-tool$(EXEEXT)
-- $(top_builddir)/glib/dbus-binding-tool --mode=glib-client --output=dbus-glib-bindings.h dbus-bus-introspect.xml
--
- BUILT_SOURCES = dbus-glib-bindings.h dbus-bus-introspect.xml
-
- else
diff --git a/packages/dbus/dbus-0.6x/no-introspect.patch b/packages/dbus/dbus-0.6x/no-introspect.patch
deleted file mode 100644
index 1e43dd121b..0000000000
--- a/packages/dbus/dbus-0.6x/no-introspect.patch
+++ /dev/null
@@ -1,14 +0,0 @@
---- dbus-0.50/tools/Makefile.am.orig 2005-09-07 10:03:49 +0200
-+++ dbus-0.50/tools/Makefile.am 2005-09-07 10:04:28 +0200
-@@ -21,11 +21,6 @@
- GTK_TOOLS=
- endif
-
--if HAVE_GLIB
--dbus-bus-introspect.xml: $(top_builddir)/bus/dbus-daemon$(EXEEXT) dbus-launch$(EXEEXT) dbus-send$(EXEEXT) $(top_builddir)/bus/dbus-daemon$(EXEEXT) Makefile
-- DBUS_TOP_BUILDDIR=$(top_builddir) $(srcdir)/run-with-tmp-session-bus.sh ./dbus-send --print-reply=literal --dest=org.freedesktop.DBus /org/freedesktop/DBus org.freedesktop.DBus.Introspectable.Introspect > dbus-bus-introspect.xml.tmp && mv dbus-bus-introspect.xml.tmp dbus-bus-introspect.xml
--endif
--
- bin_PROGRAMS=dbus-send $(GLIB_TOOLS) dbus-launch dbus-cleanup-sockets $(GTK_TOOLS)
-
- dbus_send_SOURCES= \
diff --git a/packages/dbus/dbus-native_0.60.bb b/packages/dbus/dbus-native_0.60.bb
deleted file mode 100644
index 39ea2ae0b7..0000000000
--- a/packages/dbus/dbus-native_0.60.bb
+++ /dev/null
@@ -1,19 +0,0 @@
-require dbus_${PV}.inc
-
-SRC_URI_EXTRA=""
-
-inherit native
-
-S = "${WORKDIR}/dbus-${PV}"
-FILESDIR = "${@os.path.dirname(bb.data.getVar('FILE',d,1))}/dbus"
-DEPENDS = "glib-2.0-native"
-
-PR = "r1"
-
-do_stage() {
- oe_runmake install
- install -d ${STAGING_DATADIR}/dbus
- install -m 0644 tools/dbus-bus-introspect.xml ${STAGING_DATADIR}/dbus
- install -m 0644 tools/dbus-glib-bindings.h ${STAGING_DATADIR}/dbus
-}
-
diff --git a/packages/dbus/dbus-native_0.61.bb b/packages/dbus/dbus-native_0.61.bb
deleted file mode 100644
index 39ea2ae0b7..0000000000
--- a/packages/dbus/dbus-native_0.61.bb
+++ /dev/null
@@ -1,19 +0,0 @@
-require dbus_${PV}.inc
-
-SRC_URI_EXTRA=""
-
-inherit native
-
-S = "${WORKDIR}/dbus-${PV}"
-FILESDIR = "${@os.path.dirname(bb.data.getVar('FILE',d,1))}/dbus"
-DEPENDS = "glib-2.0-native"
-
-PR = "r1"
-
-do_stage() {
- oe_runmake install
- install -d ${STAGING_DATADIR}/dbus
- install -m 0644 tools/dbus-bus-introspect.xml ${STAGING_DATADIR}/dbus
- install -m 0644 tools/dbus-glib-bindings.h ${STAGING_DATADIR}/dbus
-}
-
diff --git a/packages/dbus/dbus-native_0.62.bb b/packages/dbus/dbus-native_0.62.bb
deleted file mode 100644
index ab9a35c5dd..0000000000
--- a/packages/dbus/dbus-native_0.62.bb
+++ /dev/null
@@ -1,17 +0,0 @@
-require dbus_${PV}.inc
-
-SRC_URI_EXTRA=""
-
-inherit native
-
-S = "${WORKDIR}/dbus-${PV}"
-FILESDIR = "${@os.path.dirname(bb.data.getVar('FILE',d,1))}/dbus"
-DEPENDS = "glib-2.0-native"
-
-do_stage() {
- oe_runmake install
- install -d ${STAGING_DATADIR}/dbus
- install -m 0644 tools/dbus-bus-introspect.xml ${STAGING_DATADIR}/dbus
- install -m 0644 tools/dbus-glib-bindings.h ${STAGING_DATADIR}/dbus
-}
-
diff --git a/packages/dbus/dbus_0.60.bb b/packages/dbus/dbus_0.60.bb
deleted file mode 100644
index 57a1c10242..0000000000
--- a/packages/dbus/dbus_0.60.bb
+++ /dev/null
@@ -1,14 +0,0 @@
-require dbus_${PV}.inc
-
-FILESPATH = "${FILE_DIRNAME}/dbus-0.6x:${FILE_DIRNAME}/dbus"
-DEPENDS = "expat glib-2.0 virtual/libintl dbus-native"
-PROVIDES = "dbus-glib"
-SRC_URI_EXTRA = "file://no-introspect.patch;patch=1 file://no-bindings.patch;patch=1"
-
-FILES_${PN} += "${bindir}/dbus-daemon"
-FILES_${PN}-dev += "${bindir}/dbus-binding-tool"
-
-do_configure_prepend() {
- install -m 0644 ${STAGING_DIR}/${BUILD_SYS}/share/dbus/dbus-bus-introspect.xml ${S}/tools/
- install -m 0644 ${STAGING_DIR}/${BUILD_SYS}/share/dbus/dbus-glib-bindings.h ${S}/tools/
-}
diff --git a/packages/dbus/dbus_0.60.inc b/packages/dbus/dbus_0.60.inc
deleted file mode 100644
index 70546ed5b1..0000000000
--- a/packages/dbus/dbus_0.60.inc
+++ /dev/null
@@ -1,64 +0,0 @@
-SECTION = "base"
-PR = "r0"
-HOMEPAGE = "http://www.freedesktop.org/Software/dbus"
-DESCRIPTION = "message bus system for applications to talk to one another"
-LICENSE = "GPL"
-DEPENDS = "expat glib-2.0 virtual/libintl"
-
-SRC_URI = "http://freedesktop.org/software/dbus/releases/dbus-${PV}.tar.gz \
- file://cross.patch;patch=1 \
- file://tmpdir.patch;patch=1 \
- file://dbus-1.init \
- file://no-examples.patch;patch=1 \
- ${SRC_URI_EXTRA}"
-
-inherit autotools pkgconfig update-rc.d gettext
-
-INITSCRIPT_NAME = "dbus-1"
-INITSCRIPT_PARAMS = "defaults"
-
-CONFFILES_${PN} = "${sysconfdir}/dbus-1/system.conf ${sysconfdir}/dbus-1/session.conf"
-
-FILES_${PN} = "${bindir}/dbus-daemon ${bindir}/dbus-launch ${bindir}/dbus-cleanup-sockets ${bindir}/dbus-send ${bindir}/dbus-monitor ${sysconfdir} ${datadir}/dbus-1/services ${libdir}/lib*.so.*"
-FILES_${PN}-dev += "${libdir}/dbus-1.0/include ${bindir}/dbus-glib-tool"
-
-pkg_postinst_dbus() {
-#!/bin/sh
-
-# can't do adduser stuff offline
-if [ "x$D" != "x" ]; then
- exit 1
-fi
-
-MESSAGEUSER=messagebus
-MESSAGEHOME=/var/run/dbus
-
-mkdir -p $MESSAGEHOME || true
-chgrp "$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || addgroup "$MESSAGEUSER"
-chown "$MESSAGEUSER"."$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || adduser --system --home "$MESSAGEHOME" --no-create-home --disabled-password --ingroup "$MESSAGEUSER" "$MESSAGEUSER"
-}
-
-EXTRA_OECONF = "--disable-qt --disable-gtk --disable-tests \
- --disable-checks --disable-xml-docs --disable-doxygen-docs \
- --with-xml=expat --without-x"
-
-
-do_stage () {
- oe_libinstall -so -C dbus libdbus-1 ${STAGING_LIBDIR}
- oe_libinstall -so -C glib libdbus-glib-1 ${STAGING_LIBDIR}
-
- autotools_stage_includes
-
- mkdir -p ${STAGING_LIBDIR}/dbus-1.0/include/dbus/
- install -m 0644 dbus/dbus-arch-deps.h ${STAGING_LIBDIR}/dbus-1.0/include/dbus/
-}
-
-do_install_append () {
- install -d ${D}${sysconfdir}/init.d
- install -m 0755 ${WORKDIR}/dbus-1.init ${D}${sysconfdir}/init.d/dbus-1
-}
-
-python populate_packages_prepend () {
- if (bb.data.getVar('DEBIAN_NAMES', d, 1)):
- bb.data.setVar('PKG_dbus', 'dbus-1', d)
-}
diff --git a/packages/dbus/dbus_0.61.bb b/packages/dbus/dbus_0.61.bb
deleted file mode 100644
index 57a1c10242..0000000000
--- a/packages/dbus/dbus_0.61.bb
+++ /dev/null
@@ -1,14 +0,0 @@
-require dbus_${PV}.inc
-
-FILESPATH = "${FILE_DIRNAME}/dbus-0.6x:${FILE_DIRNAME}/dbus"
-DEPENDS = "expat glib-2.0 virtual/libintl dbus-native"
-PROVIDES = "dbus-glib"
-SRC_URI_EXTRA = "file://no-introspect.patch;patch=1 file://no-bindings.patch;patch=1"
-
-FILES_${PN} += "${bindir}/dbus-daemon"
-FILES_${PN}-dev += "${bindir}/dbus-binding-tool"
-
-do_configure_prepend() {
- install -m 0644 ${STAGING_DIR}/${BUILD_SYS}/share/dbus/dbus-bus-introspect.xml ${S}/tools/
- install -m 0644 ${STAGING_DIR}/${BUILD_SYS}/share/dbus/dbus-glib-bindings.h ${S}/tools/
-}
diff --git a/packages/dbus/dbus_0.61.inc b/packages/dbus/dbus_0.61.inc
deleted file mode 100644
index c1dcc0e4a3..0000000000
--- a/packages/dbus/dbus_0.61.inc
+++ /dev/null
@@ -1,64 +0,0 @@
-SECTION = "base"
-PR = "r0"
-HOMEPAGE = "http://www.freedesktop.org/Software/dbus"
-DESCRIPTION = "message bus system for applications to talk to one another"
-LICENSE = "GPL"
-DEPENDS = "expat glib-2.0 virtual/libintl"
-
-SRC_URI = "http://freedesktop.org/software/dbus/releases/dbus-${PV}.tar.gz \
- file://cross.patch;patch=1 \
- file://tmpdir.patch;patch=1 \
- file://dbus-1.init \
- file://no-examples.patch;patch=1 \
- ${SRC_URI_EXTRA}"
-
-inherit autotools pkgconfig update-rc.d gettext
-
-INITSCRIPT_NAME = "dbus-1"
-INITSCRIPT_PARAMS = "defaults"
-
-CONFFILES_${PN} = "${sysconfdir}/dbus-1/system.conf ${sysconfdir}/dbus-1/session.conf"
-
-FILES_${PN} = "${bindir}/dbus-daemon ${bindir}/dbus-launch ${bindir}/dbus-cleanup-sockets ${bindir}/dbus-send ${bindir}/dbus-monitor ${sysconfdir} ${datadir}/dbus-1/services ${libdir}/lib*.so.*"
-FILES_${PN}-dev += "${libdir}/dbus-1.0/include ${bindir}/dbus-glib-tool"
-
-pkg_postinst_dbus() {
-#!/bin/sh
-
-# can't do adduser stuff offline
-if [ "x$D" != "x" ]; then
- exit 1
-fi
-
-MESSAGEUSER=messagebus
-MESSAGEHOME=/var/run/dbus
-
-mkdir -p $MESSAGEHOME || true
-chgrp "$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || addgroup "$MESSAGEUSER"
-chown "$MESSAGEUSER"."$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || adduser --system --home "$MESSAGEHOME" --no-create-home --disabled-password --ingroup "$MESSAGEUSER" "$MESSAGEUSER"
-}
-
-EXTRA_OECONF = "--disable-qt --disable-qt3 --disable-gtk --disable-tests \
- --disable-checks --disable-xml-docs --disable-doxygen-docs \
- --with-xml=expat --without-x"
-
-
-do_stage () {
- oe_libinstall -so -C dbus libdbus-1 ${STAGING_LIBDIR}
- oe_libinstall -so -C glib libdbus-glib-1 ${STAGING_LIBDIR}
-
- autotools_stage_includes
-
- mkdir -p ${STAGING_LIBDIR}/dbus-1.0/include/dbus/
- install -m 0644 dbus/dbus-arch-deps.h ${STAGING_LIBDIR}/dbus-1.0/include/dbus/
-}
-
-do_install_append () {
- install -d ${D}${sysconfdir}/init.d
- install -m 0755 ${WORKDIR}/dbus-1.init ${D}${sysconfdir}/init.d/dbus-1
-}
-
-python populate_packages_prepend () {
- if (bb.data.getVar('DEBIAN_NAMES', d, 1)):
- bb.data.setVar('PKG_dbus', 'dbus-1', d)
-}
diff --git a/packages/dbus/dbus_0.62.bb b/packages/dbus/dbus_0.62.bb
deleted file mode 100644
index 57a1c10242..0000000000
--- a/packages/dbus/dbus_0.62.bb
+++ /dev/null
@@ -1,14 +0,0 @@
-require dbus_${PV}.inc
-
-FILESPATH = "${FILE_DIRNAME}/dbus-0.6x:${FILE_DIRNAME}/dbus"
-DEPENDS = "expat glib-2.0 virtual/libintl dbus-native"
-PROVIDES = "dbus-glib"
-SRC_URI_EXTRA = "file://no-introspect.patch;patch=1 file://no-bindings.patch;patch=1"
-
-FILES_${PN} += "${bindir}/dbus-daemon"
-FILES_${PN}-dev += "${bindir}/dbus-binding-tool"
-
-do_configure_prepend() {
- install -m 0644 ${STAGING_DIR}/${BUILD_SYS}/share/dbus/dbus-bus-introspect.xml ${S}/tools/
- install -m 0644 ${STAGING_DIR}/${BUILD_SYS}/share/dbus/dbus-glib-bindings.h ${S}/tools/
-}
diff --git a/packages/dbus/dbus_0.62.inc b/packages/dbus/dbus_0.62.inc
deleted file mode 100644
index 3b0f24f408..0000000000
--- a/packages/dbus/dbus_0.62.inc
+++ /dev/null
@@ -1,68 +0,0 @@
-SECTION = "base"
-PR = "r1"
-HOMEPAGE = "http://www.freedesktop.org/Software/dbus"
-DESCRIPTION = "message bus system for applications to talk to one another"
-LICENSE = "GPL"
-DEPENDS = "expat glib-2.0 virtual/libintl"
-
-
-FILESPATH = "${FILE_DIRNAME}/dbus-0.6x:${FILE_DIRNAME}/dbus"
-
-SRC_URI = "http://freedesktop.org/software/dbus/releases/dbus-${PV}.tar.gz \
- file://cross.patch;patch=1 \
- file://tmpdir.patch;patch=1 \
- file://dbus-1.init \
- file://no-examples.patch;patch=1 \
- file://fix-segfault.patch;patch=1 \
- ${SRC_URI_EXTRA}"
-
-inherit autotools pkgconfig update-rc.d gettext
-
-INITSCRIPT_NAME = "dbus-1"
-INITSCRIPT_PARAMS = "defaults"
-
-CONFFILES_${PN} = "${sysconfdir}/dbus-1/system.conf ${sysconfdir}/dbus-1/session.conf"
-
-FILES_${PN} = "${bindir}/dbus-daemon ${bindir}/dbus-launch ${bindir}/dbus-cleanup-sockets ${bindir}/dbus-send ${bindir}/dbus-monitor ${sysconfdir} ${datadir}/dbus-1/services ${libdir}/lib*.so.*"
-FILES_${PN}-dev += "${libdir}/dbus-1.0/include ${bindir}/dbus-glib-tool"
-
-pkg_postinst_dbus() {
-#!/bin/sh
-
-# can't do adduser stuff offline
-if [ "x$D" != "x" ]; then
- exit 1
-fi
-
-MESSAGEUSER=messagebus
-MESSAGEHOME=/var/run/dbus
-
-mkdir -p $MESSAGEHOME || true
-chgrp "$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || addgroup "$MESSAGEUSER"
-chown "$MESSAGEUSER"."$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || adduser --system --home "$MESSAGEHOME" --no-create-home --disabled-password --ingroup "$MESSAGEUSER" "$MESSAGEUSER"
-}
-
-EXTRA_OECONF = "--disable-qt --disable-qt3 --disable-gtk --disable-tests \
- --disable-checks --disable-xml-docs --disable-doxygen-docs \
- --with-xml=expat --without-x"
-
-
-do_stage () {
- oe_libinstall -so -C dbus libdbus-1 ${STAGING_LIBDIR}
- oe_libinstall -so -C glib libdbus-glib-1 ${STAGING_LIBDIR}
-
- autotools_stage_includes
-
- mkdir -p ${STAGING_LIBDIR}/dbus-1.0/include/dbus/
- install -m 0644 dbus/dbus-arch-deps.h ${STAGING_LIBDIR}/dbus-1.0/include/dbus/
-}
-
-do_install_append () {
- install -d ${D}${sysconfdir}/init.d
- install -m 0755 ${WORKDIR}/dbus-1.init ${D}${sysconfdir}/init.d/dbus-1
-}
-
-python populate_packages_prepend () {
- if (bb.data.getVar('DEBIAN_NAMES', d, 1)):
- bb.data.setVar('PKG_dbus', 'dbus-1', d)
-}